package main

import (
	"fmt"

	fho "git.mokkon.com/sainw/fho_client"
)

const (
	address     = "localhost:50051"
	defaultName = "world"
)

func main() {
	c, err := fho.NewClient(address, "bd38e9ac-210a-4e85-865c-401270c07220", "8c95f7fa-3071-427d-a27a-6f96e1d9590e")
	if err != nil {
		panic(err)
	}
	data, err := c.Query("station_price_update_products")
	if err != nil {
		panic(err)
	}
	dumpMap(data)
}

func dumpMap(m []map[string]interface{}) {
	for _, r := range m {
		for k, v := range r {
			fmt.Printf("%v : %v\n", k, v)
		}
		fmt.Printf("-----------------\n")
	}
}
